# Class: IssueTypeClient

## IssueTypeClient

## Constructor

#### new IssueTypeClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/issuetype'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/issueType.js, line 5

### Methods

#### getAllIssueTypes(opts, callback)

Returns a list of all issue types visible to the user

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the issue types have been retrieved.

Source:
  - api/issueType.js, line 14

#### getIssueType(opts, callback)

Get a full representation of the issue type that has the given id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`issueTypeId` |  | A String containing an issue type id

`callback` |  | Called when the issue type has been retrieved.

Source:
  - api/issueType.js, line 33